MONGOC_APM_COMMAND_STARTED_GET_OPERATION_ID(3)

NAME
mongoc_apm_command_started_get_operation_id - mongoc_apm_command_started_get_operation_id()

SYNOPSIS

        int64_t
        mongoc_apm_command_started_get_operation_id (
           const mongoc_apm_command_started_t *event);

Returns this event's operation id. This number correlates all the commands in a bulk operation, or all the "find" and "getMore" commands required to stream a large query result.

PARAMETERS

    •   event: A mongoc_apm_command_started_t.

RETURNS

The event's operation id.

SEE ALSO

Introduction to Application Performance Monitoring

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc